# A-13b captions and A-15 glossary-on-screen

## Description

This QTI 3.0 Conformance Test Sample aims at testing the **A13b - Captions (track support)** and **A15 - glossary-on-screen** features. It includes movie files and

|A13 & A15                |   |
|-----------------------|---|
| **Test Sample ID**        | A13captions_A15glossary  |
| **Test Sample Title**     | A-13b captionA-15 glossary-on-screen |
| **Related Documentation** | [QTI ASI Model - Response Processing](needs updated link for 3.0) |

## Acceptance Criteria

### EXPORT
* A13-L2-E1: Export a valid package that contains an item that contains a video within the qti-item-body using \<video\> \<source\> and \<track\> elements where the kind attribute in track is "captions". 
* A13-L2-E2: The export a valid package references the video and captions files as dependencies.

* A15-L2-E1: Export a valid package that contains an item that has at least one catalog with a card where support="glossary-on-screen" which is referenced via a data-catalog-idref attribute from an element within the qti-item-body.

### IMPORT

* A13-L2-I1: Import qti-glossary-captions.xml where the captions file is stored and remains associated with the video. 

* A15-L2-I1: Import qti-glossary-captions.xml where the glossary term is stored and associated with the referencing content.

### AUTHORING

* A13-L2-A1: Create an item and insert a reference to a video file.
* A13-L2-A2: Modify or replace an existing video reference within an item.
* A13-L2-A3: Add captions file to a video within an item.
* A13-L2-A4: Replace or modify the captions for a video within an item.

* A15-L2-A1: Create a glossary reference to any portion of content within an item where the application refers to an existing definition or the author is able to write a new definition.
* A15-L2-A2: Modify a glossary reference to any portion of content within an item where the application refers to an existing definition, OR the author is able to modify the definition.

### DELIVERY

* A13-L2-D1: For the item qti-glossary-captions.xml -- has the ability to display captions for the included video when requested by the candidate.

* A15-L2-D1: For the item qti-glossary-captions.xml -- Has the ability to present the glossary term provided for the word "acronym" when requested by the candidate. The glossary-on-screen feature can be activated in the delivery system either by a candidate's PNP or by the test administration system settings.
* A15-L2-D2: Presentation of the glossary-on-screen term should not trap keyboard users (trap = users are unable to escape the glossary window using keyboard only).
